Bug 131984 - System grounds to a halt then freezes when synchronizing a USB palm
System grounds to a halt then freezes when synchronizing a USB palm
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-07 13:41 EDT by rohirrim
Modified: 2015-01-04 17:09 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:31:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description rohirrim 2004-09-07 13:41:39 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040808 Firefox/0.9.3

Description of problem:
I have an ehci-hcd controller in my laptop, with two ports. I have
installed a usb2 hub in one of them, and to it I connect a usb
keyboard, a usb mouse and my Palm Tungsten T3.

One of the recent kernel releases (I believe it's kernel-2.6.8-1.521,
but the problem certainly occurs on this kernel) has a bug: when I
press the hotsync button on the cradle and synchronise the palm (via
gnome-pilot), the system (during the procedure) gradually slows down,
there are problems with the network connection and it eventually
freezes. This bug does *not* occur if I plug the palm on the other usb
port directly to the computer, bypassing the hub. 

This used to work with previous kernel releases. Here's what my syslog
says when the bug happens:
Sep  7 14:13:27 hamsalad kernel: usb 4-1.2: new full speed USB device
using address 5
Sep  7 14:13:27 hamsalad kernel: ehci_hcd 0000:00:1d.7: qh 2e4aa400
(#0) state 1
Sep  7 14:13:28 hamsalad kernel: drivers/usb/serial/usb-serial.c: USB
Serial support registered for Generic
Sep  7 14:13:28 hamsalad kernel: usbcore: registered new driver
usbserial_generic
Sep  7 14:13:28 hamsalad kernel: usbcore: registered new driver usbserial
Sep  7 14:13:28 hamsalad kernel: drivers/usb/serial/usb-serial.c: USB
Serial Driver core v2.0
Sep  7 14:13:28 hamsalad kernel: drivers/usb/serial/usb-serial.c: USB
Serial support registered for Handspring Visor / Palm OS
Sep  7 14:13:28 hamsalad kernel: drivers/usb/serial/usb-serial.c: USB
Serial support registered for Sony Clie 3.5
Sep  7 14:13:28 hamsalad kernel: drivers/usb/serial/usb-serial.c: USB
Serial support registered for Sony Clie 5.0
Sep  7 14:13:28 hamsalad kernel: visor 4-1.2:1.0: Handspring Visor /
Palm OS converter detected
Sep  7 14:13:28 hamsalad kernel: usb 4-1.2: Handspring Visor / Palm OS
converter now attached to ttyUSB0
Sep  7 14:13:28 hamsalad kernel: usb 4-1.2: Handspring Visor / Palm OS
converter now attached to ttyUSB1
Sep  7 14:13:28 hamsalad kernel: usbcore: registered new driver visor
Sep  7 14:13:28 hamsalad kernel: drivers/usb/serial/visor.c: USB
HandSpring Visor / Palm OS driver v2.1
Sep  7 14:15:56 hamsalad kernel: bad: scheduling while atomic!
Sep  7 14:15:56 hamsalad kernel: Stack pointer is garbage, not
printing trace
Sep  7 14:15:56 hamsalad kernel: visor ttyUSB1: visor_unthrottle -
failed submitting read urb, error -1
Sep  7 14:17:42 hamsalad kernel: NETDEV WATCHDOG: eth0: transmit timed out
Sep  7 14:17:42 hamsalad kernel: e100: eth0: e100_watchdog: link up,
100Mbps, full-duplex
Sep  7 14:19:22 hamsalad kernel: NETDEV WATCHDOG: eth0: transmit timed out
Sep  7 14:19:22 hamsalad kernel: e100: eth0: e100_watchdog: link up,
100Mbps, full-duplex
Sep  7 14:20:38 hamsalad kernel: NETDEV WATCHDOG: eth0: transmit timed out
Sep  7 14:20:38 hamsalad kernel: e100: eth0: e100_watchdog: link up,
100Mbps, full-duplex
Sep  7 14:20:56 hamsalad su(pam_unix)[5539]: session opened for user
root by szachari(uid=17276)
Sep  7 14:21:09 hamsalad kernel: usb 4-1.2: USB disconnect, address 5
Sep  7 14:21:09 hamsalad kernel: ehci_hcd 0000:00:1d.7: qh 2e4aa500
(#22) state 5
Sep  7 14:21:09 hamsalad kernel: visor 4-1.2:1.0: device disconnected
Sep  7 14:21:09 hamsalad kernel: inserting floppy driver for 2.6.8-1.521
Sep  7 14:21:12 hamsalad kernel: floppy0: no floppy controllers found
Sep  7 14:21:12 hamsalad modprobe: FATAL: Error inserting floppy
(/lib/modules/2.6.8-1.521/kernel/drivers/block/floppy.ko): No such device 
Sep  7 14:21:28 hamsalad kernel: NETDEV WATCHDOG: eth0: transmit timed out
Sep  7 14:21:28 hamsalad kernel: e100: eth0: e100_watchdog: link up,
100Mbps, full-duplex
Sep  7 14:21:41 hamsalad kernel: usb 4-1.2: new full speed USB device
using address 6
Sep  7 14:21:41 hamsalad kernel: ehci_hcd 0000:00:1d.7: qh 2e4aa480
(#0) state 1
Sep  7 14:21:42 hamsalad kernel: visor 4-1.2:1.0: Handspring Visor /
Palm OS converter detected
Sep  7 14:21:42 hamsalad kernel: usb 4-1.2: Handspring Visor / Palm OS
converter now attached to ttyUSB2
Sep  7 14:21:42 hamsalad kernel: usb 4-1.2: Handspring Visor / Palm OS
converter now attached to ttyUSB3

In this example, I clicked on "cancel" on the palm because the system
was already starting to die (it froze a bit after the last message).
You can see from the syslog the network connection dying out too.




Version-Release number of selected component (if applicable):
kernel-2.6.8-1.521

How reproducible:
Always

Steps to Reproduce:
1. Connect palm to usb2 hub with keyboard and mouse
2. Start hotsync operation
3. System gets slower and eventually freezes
    

Actual Results:  System gets slower and eventually freezes

Expected Results:  Hotsync should have completed normally (as it does,
if the palm is connected on the other USB port by itself)

Additional info:
Comment 1 Dave Jones 2005-04-16 00:31:41 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.